summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2017-08-07 01:35:32 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-08-12 06:57:32 +0700
commit5c6618414f54debe5b0523795f5061baea8f1faf (patch)
tree25c50fd36cc220da36fb32b881cbd3f4b441cce8 /libraries
parentc6ea0ca0ee86042bf89e3ef41acbdb3dbc643678 (diff)
downloadslackbuilds-5c6618414f54debe5b0523795f5061baea8f1faf.tar.gz
slackbuilds-5c6618414f54debe5b0523795f5061baea8f1faf.tar.xz
libraries/node-xoauth2: Added (XOAuth2 token gen with node.js).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/node-xoauth2/README1
-rw-r--r--libraries/node-xoauth2/node-xoauth2.SlackBuild78
-rw-r--r--libraries/node-xoauth2/node-xoauth2.info10
-rw-r--r--libraries/node-xoauth2/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/libraries/node-xoauth2/README b/libraries/node-xoauth2/README
new file mode 100644
index 0000000000..a0f64f4840
--- /dev/null
+++ b/libraries/node-xoauth2/README
@@ -0,0 +1 @@
+XOAuth2 token generation with node.js
diff --git a/libraries/node-xoauth2/node-xoauth2.SlackBuild b/libraries/node-xoauth2/node-xoauth2.SlackBuild
new file mode 100644
index 0000000000..56baf49509
--- /dev/null
+++ b/libraries/node-xoauth2/node-xoauth2.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for node-xoauth2
+
+# Copyright 2017 Andrew Clemons, Wellington, New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=node-xoauth2
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+DESTDIR=$PKG npm install --production -g $CWD/xoauth2-$VERSION.tar.gz
+
+if [ "$LIBDIRSUFFIX" != "" ] ; then
+ mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+(
+ cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../lib$LIBDIRSUFFIX/node_modules/xoauth2/LICENSE .
+ ln -s ../../lib$LIBDIRSUFFIX/node_modules/xoauth2/README.md .
+ ln -s ../../lib$LIBDIRSUFFIX/node_modules/xoauth2/CHANGELOG.md .
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/node-xoauth2/node-xoauth2.info b/libraries/node-xoauth2/node-xoauth2.info
new file mode 100644
index 0000000000..8e87b12952
--- /dev/null
+++ b/libraries/node-xoauth2/node-xoauth2.info
@@ -0,0 +1,10 @@
+PRGNAM="node-xoauth2"
+VERSION="1.2.0"
+HOMEPAGE="https://www.npmjs.com/package/xoauth2"
+DOWNLOAD="https://github.com/andris9/xoauth2/archive/v1.2.0/xoauth2-1.2.0.tar.gz"
+MD5SUM="4243d54b5f0e85047bd501660e76544c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="nodejs"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/libraries/node-xoauth2/slack-desc b/libraries/node-xoauth2/slack-desc
new file mode 100644
index 0000000000..1e4b8df22c
--- /dev/null
+++ b/libraries/node-xoauth2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+node-xoauth2: node-xoauth2 (XOAuth2 token generation with node.js)
+node-xoauth2:
+node-xoauth2: xoauth2 generates XOAUTH2 login tokens from provided client and
+node-xoauth2: user credentials.
+node-xoauth2:
+node-xoauth2: https://www.npmjs.com/package/xoauth2
+node-xoauth2:
+node-xoauth2:
+node-xoauth2:
+node-xoauth2:
+node-xoauth2: